summaryrefslogtreecommitdiff
path: root/src/SMAPI.Installer/assets/unix-install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/SMAPI.Installer/assets/unix-install.sh')
-rw-r--r--src/SMAPI.Installer/assets/unix-install.sh24
1 files changed, 7 insertions, 17 deletions
diff --git a/src/SMAPI.Installer/assets/unix-install.sh b/src/SMAPI.Installer/assets/unix-install.sh
index 311c5469..07df4e6c 100644
--- a/src/SMAPI.Installer/assets/unix-install.sh
+++ b/src/SMAPI.Installer/assets/unix-install.sh
@@ -1,24 +1,14 @@
#!/bin/bash
-# Run the SMAPI installer through Mono on Linux or macOS.
# Move to script's directory
cd "`dirname "$0"`"
-# get cross-distro version of POSIX command
-COMMAND=""
-if command -v command >/dev/null 2>&1; then
- COMMAND="command -v"
-elif type type >/dev/null 2>&1; then
- COMMAND="type"
+# make sure .NET 5 is installed
+if ! command -v dotnet >/dev/null 2>&1; then
+ echo "Oops! You must have .NET 5 installed to use SMAPI: https://dotnet.microsoft.com/download";
+ read
+ exit 1
fi
-# if $TERM is not set to xterm, mono will bail out when attempting to write to the console.
-export TERM=xterm
-
-# validate Mono & run installer
-if $COMMAND mono >/dev/null 2>&1; then
- mono internal/unix-install.exe
-else
- echo "Oops! Looks like Mono isn't installed. Please install Mono from https://mono-project.com, reboot, and run this installer again."
- read
-fi
+# run installer
+dotnet internal/unix/SMAPI.Installer.dll